jQuery(document).ready(function ($) {

    // -------------spin-------------------
    var resultWrapper = $('.spin-popup');
    var wheel = $('.wheel-img');
    var popupIsOpen = false;

    $('.spin_active').on("click", function (event) {
        $(this).off(event);
        if (!wheel.hasClass('rotated')) {
            wheel.addClass('super-rotation');
            setTimeout(function () {
                resultWrapper.css({
                    'display': 'block'
                });
                popupIsOpen = true;
            }, 8000);
            setTimeout(function () {
                $('.spin-block').slideUp();
                $('.order-block').slideDown();
            }, 9500);
            wheel.addClass('rotated');
        }
    });

    function startTimer() {
        $('#clock').yuukCountDown({
            starttime: makeDate(),
            endtime: makeDate(10),
            endCallBack: function () {
                $('.countdown-time').append('00:00:00');
                $('#clock').hide();
            }
        });
    }

    // --------------POPUP-------------------
    function closingPopup() {
        if (popupIsOpen) {
            popupIsOpen = false;
            startTimer();
            resultWrapper.fadeOut();
            $('body,html').animate({ scrollTop: $('.toscroll').offset().top }, 400);
            $('.close-popup, .popup-button').unbind("touchend, click");
        }
    }

    $(document).keydown(function (e) {
        if (e.keyCode === 27 && popupIsOpen) {
            closingPopup();
        }
    });

    $('.close-popup, .popup-button').on("touchend, click", function (e) {
        e.preventDefault();
        closingPopup();
    });

    function makeDate(n = 0) {
        var thisDate = new Date();
        var minute = thisDate.getMinutes() + n;
        var month = thisDate.getMonth() + 1;
        var final = thisDate.getFullYear() + '/' + month + '/' + thisDate.getDate() + ' ' + thisDate.getHours() + ':' + minute + ':' + thisDate.getSeconds();
        return final;
    }

    // --------------SCROLL-------------------
    $("a").on("touchend, click", function (e) {
        e.preventDefault();
        $('body,html').animate({ scrollTop: $('.toscroll').offset().top }, 400);
    });

    $(".ac_footer a, .ac_gdpr_fix a").unbind("click");


});